﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using WiimoteLib;

namespace WiiNetDemo
{
    public partial class Form1 : Form
    {
        Wiimote wiimote;

        public Form1()
        {
            wiimote = new Wiimote();
            wiimote.Connect();
            wiimote.SetReportType(Wiimote.InputReport.IRAccel, true);
            
            InitializeComponent();
        }


        protected override void OnPaint(PaintEventArgs e)
        {
            base.OnPaint(e);

            float x = wiimote.WiimoteState.AccelState.X;
            float y = wiimote.WiimoteState.AccelState.Y;
            e.Graphics.FillEllipse(Brushes.Blue, 100 + 50 * x, 100 + 50 * y, 5, 5);

            Invalidate();
        }

        protected override void OnKeyDown(KeyEventArgs e)
        {
            base.OnKeyDown(e);

            switch (e.KeyCode)
            {
                case Keys.A:
                    wiimote.SetLEDs(1 + 2 + 4 + 8);
                    break;
                case Keys.B:
                    wiimote.SetLEDs(0);
                    break;
                case Keys.C:
                    wiimote.SetRumble(true);
                    break;
                case Keys.D:
                    wiimote.SetRumble(false);
                    break;
            }
        }

        protected override void OnClosing(CancelEventArgs e)
        {
            base.OnClosing(e);

            wiimote.Disconnect();
            wiimote.Dispose();
        }
    }
}